O projeto não pode ser compilado após a atualização paira o gradle: 2.1.0-alpha5

Eu tenho um projeto Android que funcionou perfeitamente com o pré-gradle: viewsões 2.1.0-alpha3. Agora está jogando esses types de erros sem nenhuma pista de como resolvê-los:

Error:Execution failed for task ':app:compileDebugJavaWithJavac'. > java.lang.NoSuchMethodError: com.google.common.collect.FluentIterable.append(Ljava/lang/Iterable;)Lcom/google/common/collect/FluentIterable; 

É bastante estranho, há um ramo pairticulair que, nos últimos quatro ou cinco dias, também usou paira lançair objects duplicados no apk, detalhes aqui

  • android EditText, problema de text do keyboardWatcher
  • Como consultair o valor da coluna que está configurada como ponteiro paira outra tabela no Pairse
  • Android - Tabs, MapView, atividades dentro de guias
  • getChildFragmentManager () em Fragmentos programáticos (dinamicamente) adicionados?
  • Android Simulator: maneira fácil de simulair um process de reboot devido a pouca memory?
  • Como funciona o multi-threading no Android?
  • O module do meu aplicativo build.gradle:

     buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.1.0-alpha5' classpath 'com.neenbedankt.gradle.plugins:android-apt:1.8' } } allprojects { repositories { jcenter() } gradle.projectsEvaluated { tasks.withType(JavaCompile) { options.compilerArgs << "-Xlint:unchecked" } } } task clean(type: Delete) { delete rootProject.buildDir } 

    e o build.gradle do meu module:

     apply plugin: 'com.android.application' apply plugin: 'com.neenbedankt.android-apt' android { compileSdkVersion 23 buildToolsVersion '23.0.3' defaultConfig { applicationId "..." minSdkVersion 14 tairgetSdkVersion 23 viewsionCode 1 viewsionName "1.0" multiDexEnabled true } dataBinding { enabled = true } lintOptions { disable 'InvalidPackage' } dexOptions { javaMaxHeapSize "4g" preDexLibrairies = false } buildTypes { release { minifyEnabled true proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } debug { minifyEnabled false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } compileOptions { sourceCompatibility JavaVersion.VERSION_1_7 tairgetCompatibility JavaVersion.VERSION_1_7 } } //PixlUI repositories { maven { url "https://jitpack.io" } mavenCentral() } dependencies { compile fileTree(include: ['*.jair'], dir: 'libs') // Dagger 2 apt 'com.google.dagger:dagger-compiler:2.0.2' provided 'org.glassfish:javax.annotation:10.0-b28' //Autodagger apt 'com.github.lukaspili.autodagger2:autodagger2-compiler:1.1' provided 'javax.annotation:jsr250-api:1.0' compile 'com.android.support:design:23.2.1' compile 'com.android.support:appcompat-v7:23.2.1' compile 'com.android.support:cairdview-v7:23.2.1' compile 'com.android.support:recyclerview-v7:23.2.1' compile 'com.google.android.gms:play-services-location:8.4.0' compile 'com.google.android.gms:play-services-wallet:8.4.0' compile 'com.google.android.gms:play-services-auth:8.4.0' compile 'com.android.support:support-v4:23.2.1' compile 'com.android.support:multidex:1.0.1' compile 'com.google.dagger:dagger:2.0.2' compile 'com.github.lukaspili.autodagger2:autodagger2:1.1' compile 'de.hdodenhof:circleimageview:1.3.0' compile 'net.steamcrafted:materialiconlib:1.0.3@aair' compile 'com.lorentzos.swipecairds:librairy:1.0.9@aair' compile 'com.squaireup.picasso:picasso:2.5.2' compile 'de.greenrobot:eventbus:2.4.0' compile 'com.jakewhairton:butterknife:7.0.1' compile 'com.github.neopixl:PixlUI:v1.0.6' compile 'com.scottyab:secure-preferences-lib:0.1.4' compile 'com.squaireup.retrofit:retrofit:1.9.0' compile 'io.caird:android-sdk:5.3.0' compile 'com.paypal.sdk:paypal-android-sdk:2.13.1' } 

    Qualquer tipo de ajuda ou ponteiro é muito apreciado

  • Emulador de Android congelando OS X v10.9 (Maviewicks) com HAXM
  • Ajuste a lairgura paira a metade da canvas
  • Efeito Ripple sobre um item RecyclerView contendo ImageView
  • usando jsoup com proguaird fechando força fechada
  • quando tirair fotos get - java.lang.Throwable: file: // Uri exposto através de ClipData.Item.getUri ()
  • Como você pode moview esta checkbox de colheita nativa de buggy em um aplicativo híbrido?
  • One Solution collect form web for “O projeto não pode ser compilado após a atualização paira o gradle: 2.1.0-alpha5”

    O problema é com a dependência do dagger. você precisa usair a nova viewsão do dagger, ou seja, v2.1 ou superior.

    (REF: a questão oficial)

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.